List all customer groups with pagination
List all customer groups within an app
GET
/api/v1/{team_slug}/{app_slug}/customer-groupsAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Query parameters
searchstringSearch by name
typestringFilter by exact type value
store_group_idstringFilter by store group ID (UUID)
sort-orderstringSort order. Should be one of ASC or DESC. Default DESC
sort-keystringThe key to sort on. Can be one of created_at, updated_at, and name (Default is created_at)
pageintegerPage number (default is 1)
per-pageintegerAmount of customer groups per page. Minimum 0 and max 100 (default is 20)
Responses
200
List of app customer groups
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroup[]requiredShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupapp_idstringcreated_atstringdiscount_percentageinteger | nulldiscount_percentage_decimalsinteger | nullidstringnamestringslugstringstore_group_idstringtypestringupdated_atstringsuccessbooleantotalintegertotal_pagesinteger400
Invalid request
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired